---
title: Number.MAX_VALUE
slug: Web/JavaScript/Reference/Global_Objects/Number/MAX_VALUE
tags:
  - JavaScript
  - Number
  - Property
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Number.MAX_VALUE</code></strong> property represents the maximum numeric value representable in JavaScript.</p>

<div>{{EmbedInteractiveExample("pages/js/number-maxvalue.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div>{{js_property_attributes(0, 0, 0)}}</div>

<h2 id="Description">Description</h2>

<p>The <code>MAX_VALUE</code> property has a value of approximately <code>1.79E+308</code>, or 2<sup>1024</sup>. Values larger than <code>MAX_VALUE</code> are represented as {{jsxref("Infinity")}}.</p>

<p>Because <code>MAX_VALUE</code> is a static property of {{jsxref("Number")}}, you always use it as <code>Number.MAX_VALUE</code>, rather than as a property of a {{jsxref("Number")}} object you created.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_MAX_VALUE">Using MAX_VALUE</h3>

<p>The following code multiplies two numeric values. If the result is less than or equal to <code>MAX_VALUE</code>, the <code>func1</code> function is called; otherwise, the <code>func2</code> function is called.</p>

<pre class="brush: js notranslate">if (num1 * num2 &lt;= Number.MAX_VALUE) {
  func1();
} else {
  func2();
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-number.max_value', 'Number.MAX_VALUE')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Number.MAX_VALUE")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Number.MIN_VALUE")}}</li>
 <li>The {{jsxref("Number")}} object it belongs to</li>
</ul>
